var fs = require('fs');
var path = require('path');

var resultsPath = path.resolve(__dirname, '../results');

function getN (str) {
  return parseInt(str
    .replace(/[A-Za-z$-\.\_]/g, ''))
}


exports =
module.exports =
function concatParts (fgrep) {
  var result = '';
  var files = fs.readdirSync(resultsPath);
  files.filter(function (filename) {
    return fgrep.test(filename);
  })
    .sort(function (a, b) {
      return getN(a) - getN(b);
    })
    .forEach(function (filename) {
      var filePath = path.join(resultsPath, filename);
      result += fs.readFileSync(filePath).toString();
    });
  return result;
}
